[youtubei.js](../../../../README.md) / [Helpers](../README.md) / observe

# Function: observe()

> **observe**\<`T`\>(`obj`): [`ObservedArray`](../type-aliases/ObservedArray.md)\<`T`\>

Defined in: [src/parser/helpers.ts:424](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/helpers.ts#L424)

Creates an observed array that provides additional utility methods for array manipulation and filtering.

## Type Parameters

### T

`T` *extends* [`YTNode`](../classes/YTNode.md)

Type extending YTNode

## Parameters

### obj

`T`[]

Array to be observed

## Returns

[`ObservedArray`](../type-aliases/ObservedArray.md)\<`T`\>
